#pragma once

#include "resource.h"

#ifdef USE_DOT_NET
#using <mscorlib.dll>
using namespace System;
using namespace System::Globalization;
#endif
using namespace std;

// Types
struct InputInfo
{
    std::string system;
    std::string name;
    std::string number;
    std::string devAddr;

    InputInfo()
    {
        clear();
    }

    void clear()
    {
        system.clear();
        name.clear();
        number.clear();
        devAddr.clear();
    }
};

typedef map<int, InputInfo> TERMTOINPUTMAP;

// Function declarations
int ParseConfigXML(const char *configFileName);
bool WriteCmdLineXML(const char *fileName, int searchTerm, time_t searchTime);
void ODS(LPCTSTR lpOutputString, ...);
TiXmlElement * getTiXmlElement(TiXmlElement* level, const std::string &node, const std::string &attr, const std::string &val);
TiXmlElement * getTiXmlElement(TiXmlElement* level, const std::string &node);
char *strptime(const char *buf, const char *fmt, struct tm *tm);

